# tilesy

import tile sheets into Bitsy games.

## about

© Max Bradbury 2020. released under the MIT license. 
uses my own [bitsy-parser](https://crates.io/crates/bitsy-parser) library 
and the delightful [wasm-pack](https://crates.io/crates/wasm-pack).

## usage

you will need an image, and optionally, a Bitsy game to add your tiles to. 
if you want, you can create a new Bitsy game with the desired tiles.

### image

ideally, your image should be monochrome (black and white) 
but any image should work if the contrast is good.
very light or dark images will not work properly.
if your image is not monochrome, you may want to convert it manually first for best results.

### game data

to add tiles to an existing Bitsy game:

1. open your game in Bitsy
2. click the "tools" dropdown
3. open the "game data" window 
4. 
    either click the "download data" button 
    or copy the game data to your clipboard
5. 
    in tilesy, either use the file browser to open your game data file, 
    or paste your game data into the text box 

do not use an HTML file in place of game data! 
it is not the same thing and will not parse correctly.

## ideas

* use one of the many [monochrome tile sheets available on itch.io](https://itch.io/game-assets/tag-1-bit)
* draw your own tile sheet in your favourite paint program e.g. [Aseprite](https://dacap.itch.io/aseprite)
* "borrow" tiles from an existing game that uses 8×8 tiles, for example any NES or Gameboy game
* import an unusual image and see what kind of game you can make with the resulting tiles

## help

this tool requires Javascript and WebAssembly, and may not work in all browsers.

if you encounter any issues, please [email me](mailto:max@tinybird.info) 
with a good description of the problem and (if applicable) any errors in your browser's console.
